#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "processingthread.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    m_processing_thread = new ProcessingThread();

    connect(m_processing_thread,SIGNAL(newFrame(QImage /* , QImage, QImage, ... */ )),this,SLOT(updateImageA(QImage /*,QImage,...*/)));
    connect(m_processing_thread,SIGNAL(eventLabelChanged(QString)),this,SLOT(updateEventLabel(QString)));
    connect(ui->dalsiButton, SIGNAL(clicked()), m_processing_thread, SLOT(dalsiButtonClicked()));

    m_processing_thread->start();
}

MainWindow::~MainWindow()
{
    delete ui;

    delete m_processing_thread; // FIXME disconect?
}


void MainWindow::updateImageA(QImage frame /* QImage frame2, ... */) {
    ui->imageArea->setPixmap(QPixmap::fromImage(frame));
//  ...
}

void MainWindow::updateEventLabel(QString text) {
    ui->eventLabel->setText(text);
}
