#ifndef PROCESSINGTHREAD_H
#define PROCESSINGTHREAD_H

// Qt header files
#include <QThread>
#include <QtGui>
// OpenCV header files
#include "opencv/highgui.h"

using namespace cv;



class ProcessingThread : public QThread
{
    Q_OBJECT
public:
    explicit ProcessingThread(QObject *parent = 0);
    ~ProcessingThread();

protected:
    void run();

private:
    VideoCapture m_video_capture;
    // ...
    Mat m_mat;
    QImage m_image;

    bool m_clicked;

    
signals:
    void newFrame(const QImage &frame);
    void eventLabelChanged(QString text);
    
public slots:

    void dalsiButtonClicked();
    
};

#endif // PROCESSINGTHREAD_H
